/*
 * #%L
 * owl2sparql-core
 * %%
 * Copyright (C) 2015 AKSW
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */
/**
 * 
 */
package org.aksw.owl2sparql;

import org.semanticweb.owlapi.model.*;

import javax.annotation.Nonnull;

/**
 * @author Lorenz Buehmann
 *
 */
public class OWLObjectPropertyExpressionConverter implements OWLPropertyExpressionVisitorEx<String>{
	
	String propertyVar = "?p";
	
	/* (non-Javadoc)
	 * @see org.semanticweb.owlapi.model.OWLPropertyExpressionVisitor#visit(org.semanticweb.owlapi.model.OWLObjectProperty)
	 */
	@Override
	public String visit(OWLObjectProperty property) {
		return property.toStringID();
	}

	/* (non-Javadoc)
	 * @see org.semanticweb.owlapi.model.OWLPropertyExpressionVisitor#visit(org.semanticweb.owlapi.model.OWLObjectInverseOf)
	 */
	@Override
	public String visit(OWLObjectInverseOf property) {
		return propertyVar + "<http://www.w3.org/2002/07/owl#inverseOf>" + "";
	}

	/* (non-Javadoc)
	 * @see org.semanticweb.owlapi.model.OWLPropertyExpressionVisitor#visit(org.semanticweb.owlapi.model.OWLDataProperty)
	 */
	@Override
	public String visit(OWLDataProperty property) {
		return property.toStringID();
	}

	@Nonnull
	@Override
	public String visit(@Nonnull OWLAnnotationProperty property) {
		return property.toStringID();
	}

}
